Update Pinned Message
curl --request PATCH \
--url https://api.example.com/pinned-messages/{message_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"send_before_menu": true,
"send_on_every_start": true,
"media": {
"type": "<string>",
"file_id": "<string>"
}
}
'import requests
url = "https://api.example.com/pinned-messages/{message_id}"
payload = {
"content": "<string>",
"send_before_menu": True,
"send_on_every_start": True,
"media": {
"type": "<string>",
"file_id": "<string>"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
send_before_menu: true,
send_on_every_start: true,
media: {type: '<string>', file_id: '<string>'}
})
};
fetch('https://api.example.com/pinned-messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"content": "<string>",
"send_before_menu": true,
"send_on_every_start": true,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"media_type": "<string>",
"media_file_id": "<string>",
"created_by": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}pinned-messages
Update Pinned Message
Обновить закреплённое сообщение.
Можно обновить контент, медиа и настройки показа. Не делает рассылку — для рассылки используйте POST /pinned-messages//broadcast.
PATCH
/
pinned-messages
/
{message_id}
Update Pinned Message
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
⌘I
